Register media asset

Prev Next

Available in VPC

Add a media file uploaded to an Object Storage bucket to a project.
Media analysis can be performed after the registration of media assets is confirmed. For more information, see the workflow image below.

maiu-create-assets_workflow

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/import/object-storage

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
key String Required Full file name of media uploaded to Object Storage
  • Video analysis supported formats
    • Resolution: 360p-1080p (720p recommended)
    • Length: 6 hours
    • File size: 10 GB
    • File format: MP4, MKV, MOV, WebM
  • Image analysis supported formats
    • Resolution: Minimum 360p, maximum 1080p
    • File size: 10 MB
    • File format: JPG, PNG, HEIC (HEIC files require conversion to JPG, which may increase analysis time.)
  • Example: sample-video.mp4, image.png
bucketName String Required Object Storage bucket name

Request example

The request example is as follows:

curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/import/object-storage' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "key": "sample-video.mp4",
  "bucketName": "my-storage-bucket"
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String Required API processing result code
message String Required API processing result message
result Object Required Media asset details
result.assetId Integer Required Media asset ID
result.createUserName String Required User name that registered the media asset
result.createdTime String Required Media asset registration date and time
  • ISO 8601 format
result.updateUserName String Required User name who last edited the media asset
result.updatedTime String Required Media asset last modification date and time
  • ISO 8601 format

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "assetId": 1234,
        "createUserName": "username",
        "createdTime": "2025-04-23T16:49:23.885456721",
        "updateUserName": "username",
        "updatedTime": "2025-04-23T16:49:23.885456721"
    }
}